import request from '@/utils/request'

// 账户总览--信用卡信息
export function getCreditAccountsInfo(query) {
  return request({
    url: '/invest/analysis/getCreditAccountsInfo',
    method: 'get',
    params: query
  })
}

// 账户总览--POS机信息
export function getPosAccountsInfo(query) {
  return request({
    url: '/invest/analysis/getPosAccountsInfo',
    method: 'get',
    params: query
  })
}

// 账户总览--储蓄账户信息
export function getDebitAccountsInfo(query) {
  return request({
    url: '/invest/analysis/getDebitAccountsInfo',
    method: 'get',
    params: query
  })
}

// 账户总览--投资账户信息
export function getInvestAccountsInfo(query) {
  return request({
    url: '/invest/analysis/getInvestAccountsInfo',
    method: 'get',
    params: query
  })
}

// 账户总览--借贷账户信息
export function getLendAccountsInfo(query) {
  return request({
    url: '/invest/analysis/getLendAccountsInfo',
    method: 'get',
    params: query
  })
}

// 账户总览--征信报告信息
export function getCreditReportInfo(query) {
  return request({
    url: '/invest/analysis/getCreditReportInfo',
    method: 'get',
    params: query
  })
}


// 首页--日历展示事件
export function getAccountCalendarInfo(query) {
  return request({
    url: '/invest/analysis/getAccountCalendarInfo',
    method: 'get',
    params: query
  })
}
